Links to delete watchers are escaped when gravatars are enabled

2012-05-15 19:43 - Philippe Lafoucrière

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.0.1   

Resolution: Fixed Affected version: 2.0.0

Description

Hi,

When I'm adding new watchers to an issue, I have escaped code instead of the delete cross icon :

<a class="delete" href="/watchers/destroy?object_id=1234&amp;object_type=issue&amp;user_id=3" oncl

ick="new Ajax.Request('/watchers/destroy?object_id=1234&amp;amp;object_type=issue&amp;amp;user_id=

3', {asynchronous:true, evalScripts:true, parameters:'authenticity_token=' + encodeURIComponent('P

Lv5ZI6HZ98BKC/BXVE3h4Om4MoTBjqB7+cBfEv2I+Y=')}); return false;" style="vertical-align: middle"><im

g alt="Delete" src="/images/delete.png?1273095853" /></a>

Associated revisions

Revision 9700 - 2012-05-15 21:33 - Jean-Philippe Lang

Fixed that watchers delete links are escaped on the issue view (#10932).

History

#1 - 2012-05-15 19:45 - Philippe Lafoucrière

http://f.cl.ly/items/0P2b44353J1n3N2r2L3X/Screen%20Shot%202012-05-15%20at%2019.44.14.png

#2 - 2012-05-15 19:50 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.0.1

Only occurs when gravatars are enabled.

#3 - 2012-05-15 21:33 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

Fixed in r9700.

#4 - 2012-05-16 09:58 - Philippe Lafoucrière

I confirm : it's fixed !

Thanks a lot !

#5 - 2012-05-21 20:58 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Thanks for the feedback, merged.

#6 - 2012-05-25 18:36 - Jean-Philippe Lang

- Subject changed from Unable to remove watchers to Links to delete watchers are escaped when gravatars are enabled
